Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 237384 - Exclude classes directly from a code completion list - use of hardcoded shortcut
Exclude classes directly from a code completion list - use of hardcoded shortcut
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
8.0
PC Windows 7
: P3 (vote)
: 8.1
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 19:19 UTC by markiewb
Modified: 2015-03-18 03:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-10-20 19:19:12 UTC
In http://hg.netbeans.org/main-silver/rev/49a85164cd34#l3.8 ALT-ENTER is used to open the subitems menu. Why is it hardcoded?

ACTUAL: hardcoded shortcut. Why? The user cannot change the shortcut. Light bulb suggests the user that his custom shortcut (or shortcuts) for "Fix code" can be used. But it doesn't work.
 
EXPECTED: subitems menu is opened by the shortcut(s) for "fix code"

Follow up to https://netbeans.org/bugzilla/show_bug.cgi?id=236313

A bit offtopic: In http://hg.netbeans.org/main-silver/rev/49a85164cd34#l10.7 the CC completion for ALT-ENTER has been changed to SHIFT-ENTER. What was ALT-ENTER supposed to do in previous versions?

Product Version: NetBeans IDE Dev (Build 201310200001)
Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b56
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b43
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
User directory: C:\Users\markiewb\AppData\Roaming\NetBeans\dev
Cache directory: C:\Users\markiewb\AppData\Local\NetBeans\Cache\dev
Comment 1 Dusan Balek 2015-03-17 14:04:31 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/506d015f715e
Comment 2 Quality Engineering 2015-03-18 03:29:09 UTC
Integrated into 'main-silver', will be available in build *201503180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/506d015f715e
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #237384: Exclude classes directly from a code completion list - use of hardcoded shortcut - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo